#ifndef _FCTR_FTX_H_
#define _FCTR_FTX_H_

#define FCTR_ERROR_OK (0)
#define FCTR_ERROR_INVALID_PARAMETER (-20)
#define FCTR_ERROR_NULL_POINTER (-21)
#define FCTR_ERROR_UNREGISTERED (-34)

#define FCTR_STYLE_FREEFORM			(0)
#define FCTR_STYLE_FIRSTNAME		(1)
#define FCTR_STYLE_LASTNAME			(2)
#define FCTR_STYLE_BUSINESSNAME	(3)
#define FCTR_STYLE_ADDRESS			(4)
#define FCTR_STYLE_CITY					(5)
#define FCTR_STYLE_STATE				(6)
#define FCTR_STYLE_ZIPCODE			(7)
#define FCTR_STYLE_ZIPCODE4			(8)
#define FCTR_STYLE_PHONE				(9)
#define FCTR_STYLE_EMAIL				(10)
#define FCTR_STYLE_URL					(11)
#define FCTR_STYLE_SSN					(12)
#define FCTR_STYLE_MONEY				(13)
#define FCTR_STYLE_TIME24HR			(14)
#define FCTR_STYLE_TIMEAMPM			(15)
#define FCTR_STYLE_TIMEampm			(16)
#define FCTR_STYLE_TIMEAP				(17)
#define FCTR_STYLE_TIMEap				(18)
#define FCTR_STYLE_DATEMIL			(19)
#define FCTR_STYLE_DATEMDY			(20)
#define FCTR_STYLE_DATEMMDY			(21)
#define FCTR_STYLE_DATEMMMDY		(22)

extern LONG WINAPI FCTR_Register(LPCSTR lpszName, LPCSTR lpszRegCode);
extern LONG WINAPI FCTR_FormatText(LPSTR lpBuffer, LONG MaxSize, LONG Style);
extern LONG WINAPI FCTR_RawText(LPSTR lpBuffer, LONG MaxSize, LONG Style);
extern LONG WINAPI FCTR_DecrementMinute(LPSTR lpBuffer, LONG MaxSize, LONG Style);
extern LONG WINAPI FCTR_DecrementDay(LPSTR lpBuffer, LONG MaxSize, LONG Style);
extern LONG WINAPI FCTR_IncrementMinute(LPSTR lpBuffer, LONG MaxSize, LONG Style);
extern LONG WINAPI FCTR_IncrementDay(LPSTR lpBuffer, LONG MaxSize, LONG Style);
extern LONG WINAPI FCTR_WeekdayFromDate(LPCSTR lpBuffer, LPLONG lpDay);
extern LONG WINAPI FCTR_YearFromDate(LPCSTR lpBuffer, LPLONG lpYear);
extern LONG WINAPI FCTR_MonthFromDate(LPCSTR lpBuffer, LPLONG lpMonth);
extern LONG WINAPI FCTR_DayFromDate(LPCSTR lpBuffer, LPLONG lpDays);
extern LONG WINAPI FCTR_DaysIntoYearFromDate(LPCSTR lpBuffer, LPLONG lpDays);
extern LONG WINAPI FCTR_HourFromTime(LPCSTR lpBuffer, LPLONG lpHour);
extern LONG WINAPI FCTR_MinuteFromTime(LPCSTR lpBuffer, LPLONG lpMin);
extern LONG WINAPI FCTR_SecondFromTime(LPCSTR lpBuffer, LPLONG lpSec);

#endif
