Attribute VB_Name = "basFCTRFTxt"
Option Explicit

Public Const FCTR_STYLE_FREEFORM = (0)     ' No formatting
Public Const FCTR_STYLE_FIRSTNAME = (1)    ' No spaces, first letter uppercase
Public Const FCTR_STYLE_LASTNAME = (2)     ' No spaces, first letter uppercase
Public Const FCTR_STYLE_BUSINESSNAME = (3) ' First letters uppercase, no numbers
Public Const FCTR_STYLE_ADDRESS = (4)      ' First letters uppercase
Public Const FCTR_STYLE_CITY = (5)         ' First letters uppercase
Public Const FCTR_STYLE_STATE = (6)        ' Only 2 uppercase letters
Public Const FCTR_STYLE_ZIPCODE = (7)      ' Only 5 numbers
Public Const FCTR_STYLE_ZIPCODE4 = (8)     ' Only 9 numbers
Public Const FCTR_STYLE_PHONE = (9)        ' Only numbers
Public Const FCTR_STYLE_EMAIL = (10)       ' Only numbers
Public Const FCTR_STYLE_URL = (11)         ' Only numbers
Public Const FCTR_STYLE_SSN = (12)         ' Only numbers
Public Const FCTR_STYLE_MONEY = (13)       ' Only numbers
Public Const FCTR_STYLE_TIME24HR = (14)    ' Only numbers
Public Const FCTR_STYLE_TIMEAM_PM = (15)    ' Only numbers
Public Const FCTR_STYLE_TIMEampm = (16)    ' Only numbers
Public Const FCTR_STYLE_TIMEA_P = (17)      ' Only numbers
Public Const FCTR_STYLE_TIMEap = (18)      ' Only numbers
Public Const FCTR_STYLE_DATEMIL = (19)     ' Only numbers
Public Const FCTR_STYLE_DATEMDY = (20)     ' Only numbers
Public Const FCTR_STYLE_DATEMMDY = (21)    ' Only numbers
Public Const FCTR_STYLE_DATEMMMDY = (22)   ' Only numbers

Public Const FCTR_ERROR_OK = (0)
Public Const FCTR_ERROR_INVALID_PARAMETER = (-20)
Public Const FCTR_ERROR_NULL_POINTER = (-21)
Public Const FCTR_ERROR_UNREGISTERED = (-34)

Public Declare Function FCTR_Register Lib "FCTRFTxt" (ByVal lpszName As String, ByVal lpszRegCode As String) As Long
Public Declare Function FCTR_FormatText Lib "FCTRFTxt" (ByVal lpBuffer As String, ByVal MaxSize As Long, ByVal Style As Long) As Long
Public Declare Function FCTR_RawText Lib "FCTRFTxt" (ByVal lpBuffer As String, ByVal MaxSize As Long, ByVal Style As Long) As Long
Public Declare Function FCTR_DecrementDay Lib "FCTRFTxt" (ByVal lpBuffer As String, ByVal MaxSize As Long, ByVal Style As Long) As Long
Public Declare Function FCTR_IncrementDay Lib "FCTRFTxt" (ByVal lpBuffer As String, ByVal MaxSize As Long, ByVal Style As Long) As Long
Public Declare Function FCTR_DecrementMinute Lib "FCTRFTxt" (ByVal lpBuffer As String, ByVal MaxSize As Long, ByVal Style As Long) As Long
Public Declare Function FCTR_IncrementMinute Lib "FCTRFTxt" (ByVal lpBuffer As String, ByVal MaxSize As Long, ByVal Style As Long) As Long
Public Declare Function FCTR_WeekdayFromDate Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpDay As Long) As Long
Public Declare Function FCTR_YearFromDate Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpYear As Long) As Long
Public Declare Function FCTR_MonthFromDate Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpMonth As Long) As Long
Public Declare Function FCTR_DayFromDate Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpDays As Long) As Long
Public Declare Function FCTR_DaysIntoYearFromDate Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpDays As Long) As Long
Public Declare Function FCTR_HourFromTime Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpHour As Long) As Long
Public Declare Function FCTR_MinuteFromTime Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpMin As Long) As Long
Public Declare Function FCTR_SecondFromTime Lib "FCTRFTxt" (ByVal lpBuffer As String, ByRef lpSec As Long) As Long

